<template>
  <div class="ticket-form">
  <div class="columns">
    <div class="column">
    
    <div v-if="ticket == 'ti'">
      <ti-form />
    </div>
    <div v-else>
      <infra-form />
    </div>

    </div> <!-- column -->
  </div> <!-- columns -->

  </div>
</template>

<script>
import TIForm from '@/views/Tickets/components/TIForm'
import InfraForm from '@/views/Tickets/components/InfraForm'

export default {
  name: 'TicketForm',
  props: {
    ticket: String,
  },
  data: function ()  {
    return {
      mail: Object
    }
  },
  created () {},
  components: {
    'ti-form': TIForm,
    'infra-form': InfraForm,
  },
  methods: {},
  computed: {}
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
</style>
